For the complete documentation index, see llms.txt. This page is also available as Markdown.

Download a document attached to a shipment

How to download a document from a shipment

You can download documents using two methods:

  1. If the webhook shipment document contains an objectId: Download the supplier's document from the Tradecloud object-storage using the objectId and downloadUrl.

  2. If the webhook shipment document contains an url: Download the document from the supplier's content server.

If both objectId and url are missing in the document, no file is available for download.

Method 1. Download the document from the Tradecloud object-storage

Step 1. Retrieve the objectId from the document

Please check the documents fields in:

"documents": [
  {
    "code": "10007563",
    "revision": "B",
    "name": "Tradecloud API Manual",
    "description": "General document",
    "type": "General",
    "objectId": "05d251f0-0166-4e1e-8110-8d7a507b18f4",
    "meta": {
      "lastUpdatedAt": "2019-12-31T10:11:12"
    }
  }
],

In this example the objectId is:

Step. 2. Retrieve the downloadUrl from the object storage

Get document metadata

GET https://api.accp.tradecloud1.com/v2/object-storage/document/{objectId}/metadata

Path Parameters

Name
Type
Description

objectId

string

document objectId

Headers

Name
Type
Description

Authorization

string

Bearer Access-Token

Step 3. Download the document using the downloadUrl

Just GET the downloadUrl

Method 2. Download the document from the supplier content server

Step 1. Retrieve the url from the document

Please check the documents fields in:

In this example the url is:

Step 2. Download the document using the url

Just GET the url

Last updated